Loading...
Searching...
No Matches
OFSHA256 Class Reference

## Public Member Functions

| OFSHA256 ()
| default constructor
void | init ()
| initialize instance, i.e. reset to initial state
void | update (const void *data, size_t len)
| feed bytes to the hash algorithm
void | final (void *hash)
| finalize and return hash

## Private Member Functions

void | transform ()
| transform hash key state based on the content of the data buffer

## Private Attributes

Uint8 | data_ [64]
| data buffer
Uint32 | datalen_
| number of bytes in data buffer
unsigned long long | bitlen_
| total number of bits that have been fed into the hash algorithm
Uint32 | state_ [8]
| state information for the hash key

## Member Function Documentation

## final()

void OFSHA256::final | ( | void * | hash | ) |

finalize and return hash

Parameters

  hash | pointer to memory block of at least 32 bytes. The SHA-256 hash is copied into this block.

## update()

void OFSHA256::update | ( | const void * | data,
|  | size_t | len )

feed bytes to the hash algorithm

Parameters

  data | bytes to feed
  len | number of bytes

The documentation for this class was generated from the following file:

- ofstd/include/dcmtk/ofstd/ofsha256.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0